v12.x

Check a rental

Retrieve a rental that was created with your API key.

Endpoint

GET https://unlimitedplug.com/api/v1/rentals/{rental_id}

cURL
curl https://unlimitedplug.com/api/v1/rentals/RENTAL_ID \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Accept: application/json"

Response fields

  • rental_id: the rental identifier.
  • admin_email: the initial login email.
  • admin_password: the initial login password.
  • admin_url: the admin sign-in page.
  • app_url: the rented project URL.
  • status: the current rental status.
  • expires_at: when the rental ends.

The customer should change the password

Give the initial login details to the customer privately. After the customer signs in to the rented service, they should open the account or security settings and change the initial password to a strong password known only to them.

Update the admin URL

Use this endpoint when your application needs to save a valid customer admin URL:

POST /api/v1/rentals/update-admin-url

JSON body
{
  "rental_id": "RENTAL_ID",
  "admin_id": "ADMIN_ID",
  "admin_url": "https://your-customer-domain.example/admin"
}